divc {ade4} | R Documentation

## Rao's diversity coefficient also called quadratic entropy

### Description

Calculates Rao's diversity coefficient within samples.

### Usage

    divc(df, dis, scale)

### Arguments

`df` | a data frame with elements as rows, samples as columns, and abundance, presence-absence or frequencies as entries
`dis` | an object of class `dist` containing distances or dissimilarities among elements. If `dis` is NULL, Gini-Simpson index is performed.
`scale` | a logical value indicating whether or not the diversity coefficient should be scaled by its maximal value over all frequency distributions.

### Value

Returns a data frame with samples as rows and the diversity coefficient within samples as columns

### Author(s)

Sandrine Pavoine pavoine@mnhn.fr

### References

Rao, C.R. (1982) Diversity and dissimilarity coefficients: a unified approach. Theoretical Population Biology, 21, 24–43.

Gini, C. (1912) Variabilità e mutabilità. Universite di Cagliari III, Parte II.

Simpson, E.H. (1949) Measurement of diversity. Nature, 163, 688.

Champely, S. and Chessel, D. (2002) Measuring biological diversity using Euclidean metrics. Environmental and Ecological Statistics, 9, 167–177.

### Examples

    data(ecomor)
    dtaxo <- dist.taxo(ecomor$taxo)
    divc(ecomor$habitat, dtaxo)

    data(humDNAm)
    divc(humDNAm$samples, sqrt(humDNAm$distances))

[Package ade4 version 1.7-13 Index]